RDKit: ForceFields::ForceFieldContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends | List of all members
ForceFields::ForceFieldContrib Class Referenceabstract

abstract base class for contributions to ForceFields More...

`#include <Contrib.h>`

Inheritance diagram for ForceFields::ForceFieldContrib:

## Public Member Functions
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()
virtual double | getEnergy (double *pos) const =0
| returns our contribution to the energy of a position More...
virtual void | getGrad (double *pos, double *grad) const =0
| calculates our contribution to the gradients of a position More...
virtual ForceFieldContrib * | copy () const =0
| return a copy More...

## Protected Attributes
ForceField * | dp_forceField
| our owning ForceField More...

## Friends
class | ForceField

## Detailed Description

abstract base class for contributions to ForceFields

Definition at line 17 of file Contrib.h.

## Constructor & Destructor Documentation

ForceFields::ForceFieldContrib::ForceFieldContrib | ( |  | ) |
| inline

Definition at line 21 of file Contrib.h.

ForceFields::ForceFieldContrib::ForceFieldContrib | ( | ForceFields::ForceField * | owner | ) |
| inline

Definition at line 22 of file Contrib.h.

virtual ForceFields::ForceFieldContrib::~ForceFieldContrib | ( |  | ) |
| inlinevirtual

Definition at line 23 of file Contrib.h.

## Member Function Documentation

virtual ForceFieldContrib* ForceFields::ForceFieldContrib::copy | ( |  | ) | const
| pure virtual

return a copy

Implemented in ForceFields::UFF::TorsionAngleContrib, ForceFields::MMFF::EleContrib, ForceFields::CrystalFF::TorsionAngleContribM6, DistGeom::FourthDimContrib, ForceFields::UFF::AngleBendContrib, ForceFields::MMFF::TorsionConstraintContrib, ForceFields::UFF::TorsionConstraintContrib, ForceFields::UFF::vdWContrib, ForceFields::MMFF::AngleConstraintContrib, ForceFields::MMFF::StretchBendContrib, ForceFields::MMFF::TorsionAngleContrib, ForceFields::MMFF::DistanceConstraintContrib, ForceFields::UFF::AngleConstraintContrib, ForceFields::UFF::DistanceConstraintContrib, ForceFields::UFF::InversionContrib, DistGeom::ChiralViolationContrib, ForceFields::MMFF::AngleBendContrib, ForceFields::MMFF::BondStretchContrib, ForceFields::MMFF::OopBendContrib, ForceFields::MMFF::PositionConstraintContrib, ForceFields::UFF::PositionConstraintContrib, ForceFields::UFF::BondStretchContrib, DistGeom::DistViolationContrib, and ForceFields::MMFF::VdWContrib.

virtual double ForceFields::ForceFieldContrib::getEnergy | ( | double * | pos | ) | const
| pure virtual

returns our contribution to the energy of a position

Implemented in ForceFields::UFF::TorsionAngleContrib, ForceFields::MMFF::EleContrib, ForceFields::CrystalFF::TorsionAngleContribM6, ForceFields::UFF::AngleBendContrib, ForceFields::MMFF::TorsionConstraintContrib, ForceFields::UFF::vdWContrib, ForceFields::UFF::TorsionConstraintContrib, ForceFields::MMFF::StretchBendContrib, ForceFields::MMFF::TorsionAngleContrib, ForceFields::MMFF::AngleConstraintContrib, ForceFields::MMFF::DistanceConstraintContrib, ForceFields::UFF::AngleConstraintContrib, ForceFields::UFF::DistanceConstraintContrib, ForceFields::MMFF::AngleBendContrib, ForceFields::UFF::InversionContrib, ForceFields::MMFF::OopBendContrib, DistGeom::ChiralViolationContrib, ForceFields::MMFF::BondStretchContrib, ForceFields::MMFF::PositionConstraintContrib, ForceFields::UFF::PositionConstraintContrib, DistGeom::DistViolationContrib, ForceFields::MMFF::VdWContrib, ForceFields::UFF::BondStretchContrib, and DistGeom::FourthDimContrib.

virtual void ForceFields::ForceFieldContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const
| pure virtual

calculates our contribution to the gradients of a position

Implemented in ForceFields::UFF::TorsionAngleContrib, ForceFields::MMFF::EleContrib, ForceFields::CrystalFF::TorsionAngleContribM6, ForceFields::MMFF::TorsionConstraintContrib, ForceFields::UFF::AngleBendContrib, ForceFields::UFF::TorsionConstraintContrib, ForceFields::UFF::vdWContrib, ForceFields::MMFF::StretchBendContrib, ForceFields::MMFF::TorsionAngleContrib, ForceFields::MMFF::AngleConstraintContrib, ForceFields::MMFF::DistanceConstraintContrib, ForceFields::UFF::AngleConstraintContrib, ForceFields::UFF::DistanceConstraintContrib, DistGeom::FourthDimContrib, ForceFields::UFF::InversionContrib, DistGeom::ChiralViolationContrib, ForceFields::MMFF::AngleBendContrib, ForceFields::MMFF::OopBendContrib, ForceFields::MMFF::BondStretchContrib, ForceFields::MMFF::PositionConstraintContrib, ForceFields::UFF::PositionConstraintContrib, DistGeom::DistViolationContrib, ForceFields::UFF::BondStretchContrib, and ForceFields::MMFF::VdWContrib.

## Friends And Related Function Documentation

friend class ForceField
| friend

Definition at line 19 of file Contrib.h.

## Member Data Documentation

ForceField* ForceFields::ForceFieldContrib::dp_forceField
| protected

our owning ForceField

Definition at line 35 of file Contrib.h.

Referenced by DistGeom::FourthDimContrib::FourthDimContrib(), DistGeom::FourthDimContrib::getEnergy(), and DistGeom::FourthDimContrib::getGrad().

The documentation for this class was generated from the following file:

- Contrib.h